## cockpit-machines 318

=== Makefile ===
# extract name from package.json
PACKAGE_NAME := $(shell awk '/"name":/ {gsub(/[",]/, "", $$2); print $$2}' package.json)
RPM_NAME := cockpit-$(PACKAGE_NAME)
VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
ifeq ($(TEST_OS),)
TEST_OS = fedora-40
endif
export TEST_OS
TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
NODE_CACHE=$(RPM_NAME)-node-$(VERSION).tar.xz
SPEC=$(RPM_NAME).spec
PREFIX ?= /usr/local
APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
# stamp file to check for node_modules/
NODE_MODULES_TEST=package-lock.json
# one example file in dist/ from bundler to check if that already ran
DIST_TEST=dist/manifest.json
# one example file in pkg/lib to check if it was already checked out
COCKPIT_REPO_STAMP=pkg/lib/cockpit-po-plugin.js
# common arguments for tar, mostly to make the generated tarballs reproducible
TAR_ARGS = --sort=name --mtime "@$(shell git show --no-patch --format='%at')" --mode=go=rX,u+rw,a-s --numeric-owner --owner=0 --group=0
# default customize_flags
VM_CUSTOMIZE_FLAGS = --no-network

all: $(DIST_TEST)

ifeq ($(TEST_COVERAGE),yes)
RUN_TESTS_OPTIONS+=--coverage
NODE_ENV=development
endif

# checkout common files from Cockpit repository required to build this project;
# this has no API stability guarantee, so check out a stable tag when you start
# a new project, use the latest release, and update it from time to time
COCKPIT_REPO_FILES = \
	pkg/lib \
	test/common \
	test/static-code \
	tools/node-modules \
	$(NULL)

COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
COCKPIT_REPO_COMMIT = e61c1de5b7a6069a1f4dec2ce871b2e912921878 # 322 + 42 commits

$(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
$(COCKPIT_REPO_STAMP): Makefile
	@git rev-list --quiet --objects $(COCKPIT_REPO_TREE) -- 2>/dev/null || \
	    git fetch --no-tags --no-write-fetch-head --depth=1 $(COCKPIT_REPO_URL) $(COCKPIT_REPO_COMMIT)
	git archive $(COCKPIT_REPO_TREE) -- $(COCKPIT_REPO_FILES) | tar x

#
# i18n
#

LINGUAS=$(basename $(notdir $(wildcard po/*.po)))

po/$(PACKAGE_NAME).js.pot:
	xgettext --default-domain=$(PACKAGE_NAME) --output=- --language=C --keyword= \
		--keyword=_:1,1t --keyword=_:1c,2,2t --keyword=C_:1c,2 \
		--keyword=N_ --keyword=NC_:1c,2 \
		--keyword=gettext:1,1t --keyword=gettext:1c,2,2t \
		--keyword=ngettext:1,2,3t --keyword=ngettext:1c,2,3,4t \
		--keyword=gettextCatalog.getString:1,3c --keyword=gettextCatalog.getPlural:2,3,4c \
		--from-code=UTF-8 $$(find src/ -name '*.[jt]s' -o -name '*.[jt]sx') | \
		sed '/^#/ s/, c-format//' > $@

po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
	pkg/lib/html2po.js -o $@ $$(find src -name '*.html')

po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
	pkg/lib/manifest2po.js src/manifest.json -o $@

po/$(PACKAGE_NAME).metainfo.pot: $(APPSTREAMFILE)
	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ $<

po/$(PACKAGE_NAME).pot: po/$(PACKAGE_NAME).html.pot po/$(PACKAGE_NAME).js.pot po/$(PACKAGE_NAME).manifest.pot po/$(PACKAGE_NAME).metainfo.pot
	msgcat --sort-output --output-file=$@ $^

po/LINGUAS:
	echo $(LINGUAS) | tr ' ' '\n' > $@

#
# Build/Install/dist
#

$(SPEC): packaging/$(SPEC).in $(NODE_MODULES_TEST)
	provides=$$(npm ls --omit dev --package-lock-only --depth=Infinity | grep -Eo '[^[:space:]]+@[^[:space:]]+' | sort -u | sed 's/^/Provides: bundled(npm(/; s/\(.*\)@/\1)) = /'); \
	awk -v p="$$provides" '{gsub(/%{VERSION}/, "$(VERSION)"); gsub(/%{NPM_PROVIDES}/, p)}1' $< > $@

packaging/arch/PKGBUILD: packaging/arch/PKGBUILD.in
	sed 's/VERSION/$(VERSION)/; s/SOURCE/$(TARFILE)/' $< > $@

packaging/debian/changelog: packaging/debian/changelog.in
	sed 's/VERSION/$(VERSION)/' $< > $@

$(DIST_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json build.js
	$(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) ./build.js

watch: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
	NODE_ENV=$(NODE_ENV) ./build.js -w

clean:
	rm -rf dist/
	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
	rm -f po/LINGUAS

install: $(DIST_TEST) po/LINGUAS
	mkdir -p $(DESTDIR)$(PREFIX)/share/cockpit/$(PACKAGE_NAME)
	cp -r dist/* $(DESTDIR)$(PREFIX)/share/cockpit/$(PACKAGE_NAME)
	mkdir -p $(DESTDIR)$(PREFIX)/share/metainfo/
	msgfmt --xml -d po \
		--template $(APPSTREAMFILE) \
		-o $(DESTDIR)$(PREFIX)/share/metainfo/$(APPSTREAMFILE)

# this requires a built source tree and avoids having to install anything system-wide
devel-install: $(DIST_TEST)
	mkdir -p ~/.local/share/cockpit
	ln -s `pwd`/dist ~/.local/share/cockpit/$(PACKAGE_NAME)

# assumes that there was symlink set up using the above devel-install target,
# and removes it
devel-uninstall:
	rm -f ~/.local/share/cockpit/$(PACKAGE_NAME)

print-version:
	@echo "$(VERSION)"

# required for running integration tests
TEST_NPMS = \
	node_modules/sizzle \
	$(NULL)

dist: $(TARFILE)
	@ls -1 $(TARFILE)

# when building a distribution tarball, call bundler with a 'production' environment
# we don't ship most node_modules for license and compactness reasons, only the ones necessary for running tests
# we ship a pre-built dist/ (so it's not necessary) and ship package-lock.json (so that node_modules/ can be reconstructed if necessary)
$(TARFILE): export NODE_ENV ?= production
$(TARFILE): $(DIST_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
	if type appstream-util >/dev/null 2>&1; then appstream-util validate-relax --nonet *.metainfo.xml; fi
	tar --xz $(TAR_ARGS) -cf $(TARFILE) --transform 's,^,$(RPM_NAME)/,' \
		--exclude '*.in' --exclude test/reference \
		$$(git ls-files | grep -v node_modules) \
		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) $(TEST_NPMS) \
		packaging/arch/PKGBUILD packaging/debian/changelog dist/

# convenience target for developers
rpm: $(TARFILE) $(SPEC)
	mkdir -p "`pwd`/output"
	mkdir -p "`pwd`/rpmbuild"
	rpmbuild -bb \
	  --define "_sourcedir `pwd`" \
	  --define "_specdir `pwd`" \
	  --define "_builddir `pwd`/rpmbuild" \
	  --define "_srcrpmdir `pwd`" \
	  --define "_rpmdir `pwd`/output" \
	  --define "_buildrootdir `pwd`/build" \
	  $(SPEC)
	find `pwd`/output -name '*.rpm' -printf '%f\n' -exec mv {} . \;
	rm -r "`pwd`/rpmbuild"
	rm -r "`pwd`/output" "`pwd`/build"

# pybridge scenario: build and install the python bridge from cockpit repo
ifeq ("$(TEST_SCENARIO)","pybridge")
COCKPIT_PYBRIDGE_REF = main
COCKPIT_WHEEL = cockpit-0-py3-none-any.whl

$(COCKPIT_WHEEL):
	pip wheel git+https://github.com/cockpit-project/cockpit.git@${COCKPIT_PYBRIDGE_REF}

VM_DEPENDS = $(COCKPIT_WHEEL)
VM_CUSTOMIZE_FLAGS += --install $(COCKPIT_WHEEL)
endif

ifeq ("$(TEST_SCENARIO)","updates-testing")
VM_CUSTOMIZE_FLAGS = --run-command 'dnf -y update --setopt=install_weak_deps=False --enablerepo=updates-testing >&2'
endif

# build a VM with locally built distro pkgs installed
$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots $(VM_DEPENDS)
	bots/image-customize --fresh $(VM_CUSTOMIZE_FLAGS) --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)

# convenience target for the above
vm: $(VM_IMAGE)
	@echo $(VM_IMAGE)

# convenience target to print the filename of the test image
print-vm:
	@echo $(VM_IMAGE)

codecheck: test/static-code $(NODE_MODULES_TEST)
	test/static-code

# convenience target to setup all the bits needed for the integration tests
# without actually running them
prepare-check: $(NODE_MODULES_TEST) $(VM_IMAGE) test/common test/reference

# run the browser integration tests
# this will run all tests/check-* and format them as TAP
check: prepare-check
	test/common/run-tests ${RUN_TESTS_OPTIONS}

bots: test/common
	test/common/make-bots

test/reference: test/common
	test/common/pixel-tests pull

# We want tools/node-modules to run every time package-lock.json is requested
# See https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
FORCE:
$(NODE_MODULES_TEST): FORCE tools/node-modules
	tools/node-modules make_package_lock_json

.PHONY: all clean install devel-install devel-uninstall print-version dist rpm prepare-check check vm print-vm

=== debian/changelog ===
cockpit-machines (318-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Aug 2024 06:06:13 +0200

cockpit-machines (318-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Aug 2024 10:25:39 +0200

## cockpit-machines 319

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = e61c1de5b7a6069a1f4dec2ce871b2e912921878 # 322 + 42 commits
+COCKPIT_REPO_COMMIT = b9e161f26348265b57ac1b9fb2bf44147fb5b55c # 323 + 25 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (319-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Sep 2024 09:30:37 +0200

cockpit-machines (319-1) unstable; urgency=medium

  * New upstream bug fix release.
  * debian/gbp.conf: Enable pristine-tar

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Sep 2024 17:56:17 +0200

## cockpit-machines 320

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b9e161f26348265b57ac1b9fb2bf44147fb5b55c # 323 + 25 commits
+COCKPIT_REPO_COMMIT = 74f35694c68bc2de617051a7b8753527d7d55518 # 324 + 31 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (320-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 Sep 2024 07:05:21 +0200

cockpit-machines (320-1) unstable; urgency=medium

  * New upstream release:
    - Improve snapshot memory path handling
    - Add support for VM descriptions

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Sep 2024 13:03:45 +0200

## cockpit-machines 321

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 74f35694c68bc2de617051a7b8753527d7d55518 # 324 + 31 commits
+COCKPIT_REPO_COMMIT = 451581e38093cb262d1eee32be0ad4ab9efb5bee # 325 + 59 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (321-1) unstable; urgency=medium

  * New upstream release:
    - Drop usage of virtinterfaced

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2024 14:57:08 +0000

## cockpit-machines 322

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 NODE_CACHE=$(RPM_NAME)-node-$(VERSION).tar.xz
 SPEC=$(RPM_NAME).spec
 PREFIX ?= /usr/local
-APPSTREAMFILE=org.cockpit-project.$(PACKAGE_NAME).metainfo.xml
+APPSTREAMFILE=org.cockpit_project.$(PACKAGE_NAME).metainfo.xml
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
 # stamp file to check for node_modules/
 NODE_MODULES_TEST=package-lock.json
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 451581e38093cb262d1eee32be0ad4ab9efb5bee # 325 + 59 commits
+COCKPIT_REPO_COMMIT = fe196082855cd53d3fe9c4da91048b0a2ade6fe1 # 326 + 30 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (322-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2024 11:02:39 +0200

## cockpit-machines 323

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = fe196082855cd53d3fe9c4da91048b0a2ade6fe1 # 326 + 30 commits
+COCKPIT_REPO_COMMIT = 6d478ad51585d9d7f8c4567c155bd641635f284f # 327 + 33 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (323-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Sat, 09 Nov 2024 20:58:36 +0100

cockpit-machines (323-1) unstable; urgency=medium

  * New upstream release:
    - Action to add a TPM

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Nov 2024 14:11:30 +0100

## cockpit-machines 324

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 6d478ad51585d9d7f8c4567c155bd641635f284f # 327 + 33 commits
+COCKPIT_REPO_COMMIT = b0e82161b4afcb9f0a6fddd8ff94380e983b2238 # 328 + 23 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (324-1~bpo24.10.1) oracular-backports; urgency=medium

  * No-change backport to oracular

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Nov 2024 15:32:44 +0100

cockpit-machines (324-1) unstable; urgency=medium

  * New upstream release:
    - Limit size of descriptions

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Nov 2024 16:18:42 +0100

## cockpit-machines 325

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b0e82161b4afcb9f0a6fddd8ff94380e983b2238 # 328 + 23 commits
+COCKPIT_REPO_COMMIT = b453940e6a7cde684832d750ba56d4afd44a699e # 329 + 66 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (325-2) unstable; urgency=medium

  * autopkgtest: Drop unit start test with LXC on Debian 12.
    The attempted workaround does not suffice on LXC 5 on Debian 12 any
    more (see #1073815). The units fail with "Failed to update dynamic user
    credentials: Permission denied". Also, this was becoming ridiculous, and
    not really testing the package any more.
    Give up and skip that part of the text under these conditions. It will
    still run in QEMU runners (such as in Ubuntu or some Debian
    architectures).

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Dec 2024 00:09:28 +0000

cockpit-machines (325-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Dec 2024 11:19:56 +0100

## cockpit-machines 326

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-40
+TEST_OS = fedora-41
 endif
 export TEST_OS
 TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
@@ -36,12 +36,11 @@
 COCKPIT_REPO_FILES = \
 	pkg/lib \
 	test/common \
-	test/static-code \
 	tools/node-modules \
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b453940e6a7cde684832d750ba56d4afd44a699e # 329 + 66 commits
+COCKPIT_REPO_COMMIT = 35090b743b6b4536fc9c09cd9644c1c3b53c1cb2 # 330 + 76 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -191,8 +190,8 @@
 print-vm:
 	@echo $(VM_IMAGE)
 
-codecheck: test/static-code $(NODE_MODULES_TEST)
-	test/static-code
+codecheck: test/common $(NODE_MODULES_TEST)
+	test/common/static-code
 
 # convenience target to setup all the bits needed for the integration tests
 # without actually running them

=== debian/changelog ===
cockpit-machines (326-1) unstable; urgency=medium

  * New upstream release:
    - Download and install unsupported and older operating systems

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Dec 2024 03:29:06 +0000

## cockpit-machines 327

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 35090b743b6b4536fc9c09cd9644c1c3b53c1cb2 # 330 + 76 commits
+COCKPIT_REPO_COMMIT = 5fa0de02060ae53283f60382b7407cc208724ed8 # 331 + 105 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (327-1~bpo24.10.1) oracular-backports; urgency=medium

  * No-change backport to oracular

 -- Martin Pitt <mpitt@debian.org>  Thu, 03 Apr 2025 10:20:02 +0000

cockpit-machines (327-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Promote virtinst Recommends to Depends. Managing existing machines calls
    "virt-xml", which is also contained in that package.
  * Prefer new "virt-install" name over old "virtinst".

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Jan 2025 10:27:30 +0000

## cockpit-machines 328

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 5fa0de02060ae53283f60382b7407cc208724ed8 # 331 + 105 commits
+COCKPIT_REPO_COMMIT = d504e916577bf30c3300b8167781f8a399bdc642 # 333 + 28 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -66,10 +66,10 @@
 		sed '/^#/ s/, c-format//' > $@
 
 po/$(PACKAGE_NAME).html.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
-	pkg/lib/html2po.js -o $@ $$(find src -name '*.html')
-
-po/$(PACKAGE_NAME).manifest.pot: $(NODE_MODULES_TEST) $(COCKPIT_REPO_STAMP)
-	pkg/lib/manifest2po.js src/manifest.json -o $@
+	pkg/lib/html2po -o $@ $$(find src -name '*.html')
+
+po/$(PACKAGE_NAME).manifest.pot: $(COCKPIT_REPO_STAMP)
+	pkg/lib/manifest2po -o $@ src/manifest.json
 
 po/$(PACKAGE_NAME).metainfo.pot: $(APPSTREAMFILE)
 	xgettext --default-domain=$(PACKAGE_NAME) --output=$@ $<

=== debian/changelog ===
cockpit-machines (328-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Feb 2025 09:35:21 +0000

## cockpit-machines 329

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = d504e916577bf30c3300b8167781f8a399bdc642 # 333 + 28 commits
+COCKPIT_REPO_COMMIT = 01a51a9ea909b31e0f123c0187d7e2b4124c7471 # 334 + 24 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (329-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Mon, 24 Mar 2025 08:18:55 +0100

cockpit-machines (329-1) unstable; urgency=medium

  * New upstream release:
    - Fix launching remote viewer

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 14:05:54 +0100

## cockpit-machines 330

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 01a51a9ea909b31e0f123c0187d7e2b4124c7471 # 334 + 24 commits
+COCKPIT_REPO_COMMIT = dad4484037b14dda1f6040c52d314a3ba8bc5cc8 # 336 + a couple commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -162,25 +162,19 @@
 	rm -r "`pwd`/rpmbuild"
 	rm -r "`pwd`/output" "`pwd`/build"
 
-# pybridge scenario: build and install the python bridge from cockpit repo
-ifeq ("$(TEST_SCENARIO)","pybridge")
-COCKPIT_PYBRIDGE_REF = main
-COCKPIT_WHEEL = cockpit-0-py3-none-any.whl
-
-$(COCKPIT_WHEEL):
-	pip wheel git+https://github.com/cockpit-project/cockpit.git@${COCKPIT_PYBRIDGE_REF}
-
-VM_DEPENDS = $(COCKPIT_WHEEL)
-VM_CUSTOMIZE_FLAGS += --install $(COCKPIT_WHEEL)
-endif
-
 ifeq ("$(TEST_SCENARIO)","updates-testing")
 VM_CUSTOMIZE_FLAGS = --run-command 'dnf -y update --setopt=install_weak_deps=False --enablerepo=updates-testing >&2'
 endif
 
+ifeq ("$(TEST_SCENARIO)","ws-container")
+VM_INSTALL = --upload $(TARFILE):/var/tmp/ --script $(CURDIR)/test/vm-ws.install
+else
+VM_INSTALL = --build $(TARFILE) --script $(CURDIR)/test/vm.install
+endif
+
 # build a VM with locally built distro pkgs installed
-$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots $(VM_DEPENDS)
-	bots/image-customize --fresh $(VM_CUSTOMIZE_FLAGS) --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
+$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
+	bots/image-customize --fresh $(VM_CUSTOMIZE_FLAGS) $(VM_INSTALL) $(TEST_OS)
 
 # convenience target for the above
 vm: $(VM_IMAGE)

=== debian/changelog ===
cockpit-machines (330-1) unstable; urgency=medium

  * New upstream release:
    - Upgraded to Patternfly 6

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2025 14:54:16 +0000

## cockpit-machines 331

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = dad4484037b14dda1f6040c52d314a3ba8bc5cc8 # 336 + a couple commits
+COCKPIT_REPO_COMMIT = 3e7997a4aa5b552203f8c07359f4b427bf3d1e82 # 337 + 31 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (331-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 May 2025 12:05:25 +0000

## cockpit-machines 332

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 3e7997a4aa5b552203f8c07359f4b427bf3d1e82 # 337 + 31 commits
+COCKPIT_REPO_COMMIT = a70142a7a6f9c4e78e71f3c4ec738b6db2fbb04f # 338 + 27 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (332-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 May 2025 12:50:57 +0200

cockpit-machines (332-1) unstable; urgency=medium

  * New upstream bug fix release:
    - The "shareable" attribute of disks is no longer modified by Cockpit
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 May 2025 05:26:45 +0000

## cockpit-machines 334

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-41
+TEST_OS = fedora-42
 endif
 export TEST_OS
 TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = a70142a7a6f9c4e78e71f3c4ec738b6db2fbb04f # 338 + 27 commits
+COCKPIT_REPO_COMMIT = a2474997a040ad62901faa69f1b14b8209f4b9e4 # 340 + 36 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (334-1) experimental; urgency=medium

  * New upstream release:
    - Virtual network interfaces can now select source mode
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jun 2025 08:01:39 +0200

## cockpit-machines 335

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = a2474997a040ad62901faa69f1b14b8209f4b9e4 # 340 + 36 commits
+COCKPIT_REPO_COMMIT = 7fec09ed0e4569b02336f5d5da15cd86b011a648 # 341.1 + 13 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (335-1git2) questing; urgency=medium

  * Upload current debian git to debug unreproducible autopkgtest failure.
  * autopkgtest: Fix kernel version comparison.
    This was only supposed to apply to 6.1.x, not e.g. 6.15. The bug was
    fixed in 6.3.
  * autopkgtest: Show non-matching output.  This makes failing tests easier to
    debug.
  * autopkgtest: Move cookie jar to home directory.
    Ubuntu's most recent AppArmor policy introduced a policy for curl which
    disallows reading files in /tmp.

 -- Martin Pitt <mpitt@debian.org>  Sun, 13 Jul 2025 16:06:45 +0200

cockpit-machines (335-1) experimental; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Jul 2025 09:42:20 +0200

## cockpit-machines 336

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 7fec09ed0e4569b02336f5d5da15cd86b011a648 # 341.1 + 13 commits
+COCKPIT_REPO_COMMIT = 8b4fcbe212cb85c85033e8f18ee5e8a389cdb241 # 342 + 32 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (336-1~bpo25.04.1) plucky-backports; urgency=medium

  * No-change backport to plucky

 -- Martin Pitt <mpitt@debian.org>  Thu, 31 Jul 2025 08:56:12 +0200

cockpit-machines (336-1) experimental; urgency=medium

  * New upstream release:
    - Graphical VNC and serial consoles improvements
    - Control VNC console resizing and scaling
  * autopkgtest: Fix kernel version comparison.
    This was only supposed to apply to 6.1.x, not e.g. 6.15. The bug was
    fixed in 6.3.
  * autopkgtest: Show non-matching output.
    This makes failing tests easier to debug.
  * autopkgtest: Move cookie jar to home directory.
    Ubuntu's most recent AppArmor policy introduced a policy for curl which
    disallows reading files in /tmp.

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Jul 2025 07:02:48 +0200

## cockpit-machines 338

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 8b4fcbe212cb85c85033e8f18ee5e8a389cdb241 # 342 + 32 commits
+COCKPIT_REPO_COMMIT = b280acc694b9a1becd9a7aef8e3a73afc85f124e # 344 + 23 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (338-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Thu, 28 Aug 2025 09:34:02 +0000

cockpit-machines (338-1) unstable; urgency=medium

  * New upstream release:
    - Detachable VNC console

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Aug 2025 08:41:10 +0000

## cockpit-machines 339

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b280acc694b9a1becd9a7aef8e3a73afc85f124e # 344 + 23 commits
+COCKPIT_REPO_COMMIT = c4e1cd89bd29938d7b078c34f5b3c240a11c4f05 # 345 + 41 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (339-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Mon, 08 Sep 2025 12:29:51 +0000

cockpit-machines (339-1) unstable; urgency=medium

  * New upstream release:
    - Serial consoles now keep their content and stay alive
    - No longer copies qemu.conf values into VM definitions

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Sep 2025 09:15:47 +0000

=== debian/control ===
Source: cockpit-machines
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>,
Build-Depends: debhelper-compat (= 13),
               gettext (>= 0.19.7),
               gettext (>= 0.21) | appstream,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/cockpit-project/cockpit-machines
Vcs-Git: https://salsa.debian.org/debian/cockpit-machines.git
Vcs-Browser: https://salsa.debian.org/debian/cockpit-machines

Package: cockpit-machines
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cockpit-bridge (>= 215),
         libvirt-daemon-system,
         libvirt-clients | libvirt-bin,
         libvirt-dbus,
         virt-install (>= 3.0.0) | virtinst (>= 3.0.0),
Recommends: python3-gi, gir1.2-libosinfo-1.0, qemu-block-extra
Description: Cockpit user interface for virtual machines
 The Cockpit Web Console enables users to administer GNU/Linux servers using a
 web browser.
 .
 This package adds an user interface for managing libvirt virtual machines.

## cockpit-machines 341

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = c4e1cd89bd29938d7b078c34f5b3c240a11c4f05 # 345 + 41 commits
+COCKPIT_REPO_COMMIT = 6f8dbc47501c5255ff9351b771c84f06f729d14d # 347 + 19 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (341-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Oct 2025 07:24:48 +0200

cockpit-machines (341-1) unstable; urgency=medium

  * New upstream release:
    - Use exclusive VNC connections with "Remote resizing"
    - Improved UX for Disks and Network interface tables

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Oct 2025 21:25:52 +0200

## cockpit-machines 343

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 6f8dbc47501c5255ff9351b771c84f06f729d14d # 347 + 19 commits
+COCKPIT_REPO_COMMIT = a358c8816e316340c8d204b457d71660e74ea165 # 349 + 9 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -145,6 +145,11 @@
 		$$(git ls-files | grep -v node_modules) \
 		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) $(TEST_NPMS) \
 		packaging/arch/PKGBUILD packaging/debian/changelog dist/
+
+$(NODE_CACHE): $(NODE_MODULES_TEST)
+	tar --xz $(TAR_ARGS) -cf $@ --exclude .git node_modules
+
+node-cache: $(NODE_CACHE)
 
 # convenience target for developers
 rpm: $(TARFILE) $(SPEC)

=== debian/changelog ===
cockpit-machines (343-1) unstable; urgency=medium

  * New upstream release:
    - Memory usage now shows numbers reported by the guest

 -- Martin Pitt <mpitt@debian.org>  Fri, 31 Oct 2025 11:42:46 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	# don't call `make clean`, in a release dist/ is precious
	rm -f po/LINGUAS

override_dh_auto_test:
	# don't call `make check`, these are integration tests

override_dh_auto_install:
	make install DESTDIR=debian/cockpit-machines PREFIX=/usr

## cockpit-machines 345

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = a358c8816e316340c8d204b457d71660e74ea165 # 349 + 9 commits
+COCKPIT_REPO_COMMIT = 30c435c2d83b2b4b656c30b792d4c28532062877 # 351 + 13 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (345-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Nov 2025 09:23:50 +0100

cockpit-machines (345-1) unstable; urgency=medium

  * New upstream release:
    - Port forwarding for user session VMs
    - "Shutdown and restart" action
    - Faster startup
    - New virtual machines don't get SPICE graphics anymore
    - Support for network port forwarding

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Nov 2025 10:57:26 +0100

## cockpit-machines 346

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 30c435c2d83b2b4b656c30b792d4c28532062877 # 351 + 13 commits
+COCKPIT_REPO_COMMIT = a30e928bdb9bd944083e1d75a07568d32caebdeb # 352 + 26 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (346-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Dec 2025 07:11:24 +0000

cockpit-machines (346-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2025 06:13:25 +0000

## cockpit-machines 347

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RPM_NAME := cockpit-$(PACKAGE_NAME)
 VERSION := $(shell T=$$(git describe 2>/dev/null) || T=1; echo $$T | tr '-' '.')
 ifeq ($(TEST_OS),)
-TEST_OS = fedora-42
+TEST_OS = fedora-43
 endif
 export TEST_OS
 TARFILE=$(RPM_NAME)-$(VERSION).tar.xz
@@ -14,8 +14,8 @@
 VM_IMAGE=$(CURDIR)/test/images/$(TEST_OS)
 # stamp file to check for node_modules/
 NODE_MODULES_TEST=package-lock.json
-# one example file in dist/ from bundler to check if that already ran
-DIST_TEST=dist/manifest.json
+# build.js ran in non-watch mode
+DIST_TEST=runtime-npm-modules.txt
 # one example file in pkg/lib to check if it was already checked out
 COCKPIT_REPO_STAMP=pkg/lib/cockpit-po-plugin.js
 # common arguments for tar, mostly to make the generated tarballs reproducible
@@ -37,10 +37,11 @@
 	pkg/lib \
 	test/common \
 	tools/node-modules \
+	tools/build-debian-copyright \
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = a30e928bdb9bd944083e1d75a07568d32caebdeb # 352 + 26 commits
+COCKPIT_REPO_COMMIT = a75b73690e6bb5f88f0adf3369db8fbbcfe2775a # 354 + 86 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -84,8 +85,8 @@
 # Build/Install/dist
 #
 
-$(SPEC): packaging/$(SPEC).in $(NODE_MODULES_TEST)
-	provides=$$(npm ls --omit dev --package-lock-only --depth=Infinity | grep -Eo '[^[:space:]]+@[^[:space:]]+' | sort -u | sed 's/^/Provides: bundled(npm(/; s/\(.*\)@/\1)) = /'); \
+$(SPEC): packaging/$(SPEC).in $(DIST_TEST)
+	provides=$$(awk '{print "Provides: bundled(npm(" $$1 ")) = " $$2}' runtime-npm-modules.txt); \
 	awk -v p="$$provides" '{gsub(/%{VERSION}/, "$(VERSION)"); gsub(/%{NPM_PROVIDES}/, p)}1' $< > $@
 
 packaging/arch/PKGBUILD: packaging/arch/PKGBUILD.in
@@ -94,6 +95,9 @@
 packaging/debian/changelog: packaging/debian/changelog.in
 	sed 's/VERSION/$(VERSION)/' $< > $@
 
+packaging/debian/copyright: packaging/debian/copyright.template $(NODE_CACHE)
+	tools/build-debian-copyright $< $(NODE_CACHE) > $@
+
 $(DIST_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json build.js
 	$(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) ./build.js
 
@@ -102,8 +106,9 @@
 
 clean:
 	rm -rf dist/
-	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
+	rm -f $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog packaging/debian/copyright
 	rm -f po/LINGUAS
+	rm -f metafile.json runtime-npm-modules.txt
 
 install: $(DIST_TEST) po/LINGUAS
 	mkdir -p $(DESTDIR)$(PREFIX)/share/cockpit/$(PACKAGE_NAME)
@@ -126,11 +131,6 @@
 print-version:
 	@echo "$(VERSION)"
 
-# required for running integration tests
-TEST_NPMS = \
-	node_modules/sizzle \
-	$(NULL)
-
 dist: $(TARFILE)
 	@ls -1 $(TARFILE)
 
@@ -138,16 +138,16 @@
 # we don't ship most node_modules for license and compactness reasons, only the ones necessary for running tests
 # we ship a pre-built dist/ (so it's not necessary) and ship package-lock.json (so that node_modules/ can be reconstructed if necessary)
 $(TARFILE): export NODE_ENV ?= production
-$(TARFILE): $(DIST_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
+$(TARFILE): $(DIST_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog packaging/debian/copyright
 	if type appstream-util >/dev/null 2>&1; then appstream-util validate-relax --nonet *.metainfo.xml; fi
 	tar --xz $(TAR_ARGS) -cf $(TARFILE) --transform 's,^,$(RPM_NAME)/,' \
 		--exclude '*.in' --exclude test/reference \
 		$$(git ls-files | grep -v node_modules) \
-		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) $(TEST_NPMS) \
-		packaging/arch/PKGBUILD packaging/debian/changelog dist/
+		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(DIST_TEST) $(SPEC) \
+		packaging/arch/PKGBUILD packaging/debian/changelog packaging/debian/copyright dist/
 
 $(NODE_CACHE): $(NODE_MODULES_TEST)
-	tar --xz $(TAR_ARGS) -cf $@ --exclude .git node_modules
+	tools/node-modules runtime-tar $(NODE_CACHE)
 
 node-cache: $(NODE_CACHE)
 
@@ -174,11 +174,11 @@
 ifeq ("$(TEST_SCENARIO)","ws-container")
 VM_INSTALL = --upload $(TARFILE):/var/tmp/ --script $(CURDIR)/test/vm-ws.install
 else
-VM_INSTALL = --build $(TARFILE) --script $(CURDIR)/test/vm.install
+VM_INSTALL = --upload $(NODE_CACHE):/var/tmp --build $(TARFILE) --script $(CURDIR)/test/vm.install
 endif
 
 # build a VM with locally built distro pkgs installed
-$(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
+$(VM_IMAGE): $(TARFILE) $(NODE_CACHE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
 	bots/image-customize --fresh $(VM_CUSTOMIZE_FLAGS) $(VM_INSTALL) $(TEST_OS)
 
 # convenience target for the above

=== debian/changelog ===
cockpit-machines (347-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Rebuild JS bundle during package build.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jan 2026 10:59:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               esbuild,
+               nodejs,
                gettext (>= 0.19.7),
                gettext (>= 0.21) | appstream,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/cockpit-project/cockpit-machines
 Vcs-Git: https://salsa.debian.org/debian/cockpit-machines.git

## cockpit-machines 348

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = a75b73690e6bb5f88f0adf3369db8fbbcfe2775a # 354 + 86 commits
+COCKPIT_REPO_COMMIT = 15ffad18ef1be8109de390419c8e71def0d752b5 # 355 + 54 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'

=== debian/changelog ===
cockpit-machines (348-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Feb 2026 07:07:52 +0100

cockpit-machines (348-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Feb 2026 15:45:43 +0100
